Subject: Re: [savi] AD review of draft-ietf-savi-dhcp-10

From: Jari Arkko <[email-masked]>
Date: Tue, 10 Jan 2012 18:53:44 +0200

I have looked at the new draft and thought about this problem for a while.

We are making progress, but are not done yet. Or at least I have some questions.

Section 13.6 should indicate the performance impacts or lack thereof to the overall DNA processes. For instance, I think that the use of link local source addresses in NS probes in RFC 6059 means that the DNAv6 process is not hampered at all. But it would be good to confirm this.

On the DNAv4 side, you need to do more work. First off, there are two possible impacts that SAVI DHCP could have on DNAv4. First, it could cause some probe packets to be dropped. That would be generally fine as false negatives are OK (but should be documented as slowing down DNAv4 acquisition process). But if you were to cause false positives or prevent the host from acquiring an address, that would be bad. Which is it?

I'm not sure why you say in 13.6 that the DHCP process is not mandatory in DNAv4. In general, the RFC was designed to provide an optimization. If the probing doesn't complete, the parallel DHCP process will complete (assuming the network is working at all).

Section 4 and 9.1 should clearly say that link local addresses are not checked by this implementations of this specification. (I think it is in fact OK to run the SAVI DHCP scheme without a SAVI SLAAC solution.)

Jari